Problem

I am receiving the following error message while running in RRE v6.1:

> varinfo <- rxGetInfoXdf(dataName, getVarInfo=TRUE) 
Error in rxCall("RxGetInfo", params) : 
This is an old version of a DataFile, and cannot be read.

Solution

The error message is worded poorly but there was a change to the .xdf file format between version 6.x and version 7.x that can prevent XDF files written in the latest version from being read in earlier versions.

If you need to read the .xdf file, you will need to use one of the later versions. or you can modify the data using rxXdfToText in version 7.x and created the delimited file and then using rxTextToXdf in v 6.x to create a downrev version of the xdf file.
Eigenschappen

Artikel-id: 3104259 - Laatst bijgewerkt: 29 okt. 2015 - Revisie: 1

Feedback